Main UFPDF class for creating Unicode PDF documents

package | PDF
see | \global\FPDF

### Methods

## AcceptPageBreak()

    AcceptPageBreak()

## AddFont()

    AddFont($family, $style, $file)

### Parameters

#### $family

#### $style

#### $file

## AddLink()

    AddLink()

Inherited

inherited_from | \FPDF::AddLink()

## AddPage()

    AddPage($orientation, $size)

Inherited

inherited_from | \FPDF::AddPage()

### Parameters

#### $orientation

#### $size

## AliasNbPages()

    AliasNbPages($alias)

### Parameters

#### $alias

## Cell()

    Cell($w, $h, $txt, $border, $ln, $align, $fill, $link)

### Parameters

#### $w

#### $h

#### $txt

#### $border

#### $ln

#### $align

#### $fill

#### $link

## Close()

    Close()

Inherited

inherited_from | \FPDF::Close()

## Error()

    Error($msg)

Inherited

inherited_from | \FPDF::Error()

### Parameters

#### $msg

## FPDF()

    FPDF($orientation, $unit, $size)

Inherited

inherited_from | \FPDF::FPDF()

### Parameters

#### $orientation

#### $unit

#### $size

## GetStringWidth()

    GetStringWidth($s)

### Parameters

#### $s

## GetX()

    GetX()

Inherited

inherited_from | \FPDF::GetX()

## GetY()

    GetY()

Inherited

inherited_from | \FPDF::GetY()

## Header()

    Header()

Inherited

inherited_from | \FPDF::Header()

## Image()

    Image($file, $x, $y, $w, $h, $type, $link)

Inherited

inherited_from | \FPDF::Image()

### Parameters

#### $file

#### $x

#### $y

#### $w

#### $h

#### $type

#### $link

## Line()

    Line($x1, $y1, $x2, $y2)

Inherited

inherited_from | \FPDF::Line()

### Parameters

#### $x1

#### $y1

#### $x2

#### $y2

## Link()

    Link($x, $y, $w, $h, $link)

Inherited

inherited_from | \FPDF::Link()

### Parameters

#### $x

#### $y

#### $w

#### $h

#### $link

## Ln()

    Ln($h)

Inherited

inherited_from | \FPDF::Ln()

### Parameters

#### $h

## MultiCell()

    MultiCell($w, $h, $txt, $border, $align, $fill)

### Parameters

#### $w

#### $h

#### $txt

#### $border

#### $align

#### $fill

## Open()

    Open()

Inherited

inherited_from | \FPDF::Open()

## Output()

    Output($name, $dest)

Inherited

inherited_from | \FPDF::Output()

### Parameters

#### $name

#### $dest

## PageNo()

    PageNo()

Inherited

inherited_from | \FPDF::PageNo()

## Rect()

    Rect($x, $y, $w, $h, $style)

Inherited

inherited_from | \FPDF::Rect()

### Parameters

#### $x

#### $y

#### $w

#### $h

#### $style

## SetAuthor()

    SetAuthor($author, $isUTF8)

Inherited

inherited_from | \FPDF::SetAuthor()

### Parameters

#### $author

#### $isUTF8

## SetAutoPageBreak()

    SetAutoPageBreak($auto, $margin)

Inherited

inherited_from | \FPDF::SetAutoPageBreak()

### Parameters

#### $auto

#### $margin

## SetCompression()

    SetCompression($compress)

Inherited

inherited_from | \FPDF::SetCompression()

### Parameters

#### $compress

## SetCreator()

    SetCreator($creator, $isUTF8)

Inherited

inherited_from | \FPDF::SetCreator()

### Parameters

#### $creator

#### $isUTF8

## SetDisplayMode()

    SetDisplayMode($zoom, $layout)

Inherited

inherited_from | \FPDF::SetDisplayMode()

### Parameters

#### $zoom

#### $layout

## SetDrawColor()

    SetDrawColor($r, $g, $b)

Inherited

inherited_from | \FPDF::SetDrawColor()

### Parameters

#### $r

#### $g

#### $b

## SetFillColor()

    SetFillColor($r, $g, $b)

Inherited

inherited_from | \FPDF::SetFillColor()

### Parameters

#### $r

#### $g

#### $b

## SetFont()

    SetFont($family, $style, $size)

Inherited

inherited_from | \FPDF::SetFont()

### Parameters

#### $family

#### $style

#### $size

## SetFontSize()

    SetFontSize($size)

Inherited

inherited_from | \FPDF::SetFontSize()

### Parameters

#### $size

## SetKeywords()

    SetKeywords($keywords, $isUTF8)

Inherited

inherited_from | \FPDF::SetKeywords()

### Parameters

#### $keywords

#### $isUTF8

## SetLeftMargin()

    SetLeftMargin($margin)

Inherited

inherited_from | \FPDF::SetLeftMargin()

### Parameters

#### $margin

## SetLineWidth()

    SetLineWidth($width)

Inherited

inherited_from | \FPDF::SetLineWidth()

### Parameters

#### $width

## SetLink()

    SetLink($link, $y, $page)

Inherited

inherited_from | \FPDF::SetLink()

### Parameters

#### $link

#### $y

#### $page

## SetMargins()

    SetMargins($left, $top, $right)

Inherited

inherited_from | \FPDF::SetMargins()

### Parameters

#### $left

#### $top

#### $right

## SetRightMargin()

    SetRightMargin($margin)

Inherited

inherited_from | \FPDF::SetRightMargin()

### Parameters

#### $margin

## SetSubject()

    SetSubject($subject, $isUTF8)

Inherited

inherited_from | \FPDF::SetSubject()

### Parameters

#### $subject

#### $isUTF8

## SetTextColor()

    SetTextColor($r, $g, $b)

Inherited

inherited_from | \FPDF::SetTextColor()

### Parameters

#### $r

#### $g

#### $b

## SetTitle()

    SetTitle($title, $isUTF8)

Inherited

inherited_from | \FPDF::SetTitle()

### Parameters

#### $title

#### $isUTF8

## SetTopMargin()

    SetTopMargin($margin)

Inherited

inherited_from | \FPDF::SetTopMargin()

### Parameters

#### $margin

## SetX()

    SetX($x)

Inherited

inherited_from | \FPDF::SetX()

### Parameters

#### $x

## SetXY()

    SetXY($x, $y)

Inherited

inherited_from | \FPDF::SetXY()

### Parameters

#### $x

#### $y

## SetY()

    SetY($y)

Inherited

inherited_from | \FPDF::SetY()

### Parameters

#### $y

## Text()

    Text($x, $y, $txt)

### Parameters

#### $x

#### $y

#### $txt

## UFPDF()

    UFPDF($orientation, $unit, $format)

### Parameters

#### $orientation

#### $unit

#### $format

## Write()

    Write($h, $txt, $link)

### Parameters

#### $h

#### $txt

#### $link

## _UTF8toUTF16()

    _UTF8toUTF16($s)

Inherited

inherited_from | \FPDF::_UTF8toUTF16()

### Parameters

#### $s

## _beginpage()

    _beginpage($orientation, $size)

Inherited

inherited_from | \FPDF::_beginpage()

### Parameters

#### $orientation

#### $size

## _checkoutput()

    _checkoutput()

Inherited

inherited_from | \FPDF::_checkoutput()

## _dochecks()

    _dochecks()

Inherited

inherited_from | \FPDF::_dochecks()

## _dounderline()

    _dounderline($x, $y, $txt)

Inherited

inherited_from | \FPDF::_dounderline()

### Parameters

#### $x

#### $y

#### $txt

## _dounderlineU()

    _dounderlineU($x, $y, $width, $txt)

### Parameters

#### $x

#### $y

#### $width

#### $txt

## _enddoc()

    _enddoc()

Inherited

inherited_from | \FPDF::_enddoc()

## _endpage()

    _endpage()

Inherited

inherited_from | \FPDF::_endpage()

## _escape()

    _escape($s)

Inherited

inherited_from | \FPDF::_escape()

### Parameters

#### $s

## _escapetext()

    _escapetext($s)

### Parameters

#### $s

## _getpagesize()

    _getpagesize($size)

Inherited

inherited_from | \FPDF::_getpagesize()

### Parameters

#### $size

## _loadfont()

    _loadfont($font)

Inherited

inherited_from | \FPDF::_loadfont()

### Parameters

#### $font

## _newobj()

    _newobj()

Inherited

inherited_from | \FPDF::_newobj()

## _out()

    _out($s)

Inherited

inherited_from | \FPDF::_out()

### Parameters

#### $s

## _parsegif()

    _parsegif($file)

Inherited

inherited_from | \FPDF::_parsegif()

### Parameters

#### $file

## _parsejpg()

    _parsejpg($file)

Inherited

inherited_from | \FPDF::_parsejpg()

### Parameters

#### $file

## _parsepng()

    _parsepng($file)

Inherited

inherited_from | \FPDF::_parsepng()

### Parameters

#### $file

## _parsepngstream()

    _parsepngstream($f, $file)

Inherited

inherited_from | \FPDF::_parsepngstream()

### Parameters

#### $f

#### $file

## _putcatalog()

    _putcatalog()

Inherited

inherited_from | \FPDF::_putcatalog()

## _putfonts()

    _putfonts()

Inherited

inherited_from | \FPDF::_putfonts()

## _putheader()

    _putheader()

Inherited

inherited_from | \FPDF::_putheader()

## _putimage()

    _putimage($info)

Inherited

inherited_from | \FPDF::_putimage()

### Parameters

#### $info

## _putimages()

    _putimages()

Inherited

inherited_from | \FPDF::_putimages()

## _putinfo()

    _putinfo()

## _putpages()

    _putpages()

## _putresourcedict()

    _putresourcedict()

Inherited

inherited_from | \FPDF::_putresourcedict()

## _putresources()

    _putresources()

Inherited

inherited_from | \FPDF::_putresources()

## _putstream()

    _putstream($s)

Inherited

inherited_from | \FPDF::_putstream()

### Parameters

#### $s

## _puttrailer()

    _puttrailer()

Inherited

inherited_from | \FPDF::_puttrailer()

## _puttruetypeunicode()

    _puttruetypeunicode($font)

### Parameters

#### $font

## _putxobjectdict()

    _putxobjectdict()

Inherited

inherited_from | \FPDF::_putxobjectdict()

## _readint()

    _readint($f)

Inherited

inherited_from | \FPDF::_readint()

### Parameters

#### $f

## _readstream()

    _readstream($f, $n)

Inherited

inherited_from | \FPDF::_readstream()

### Parameters

#### $f

#### $n

## _textstring()

    _textstring($s)

### Parameters

#### $s

## code2utf()

    code2utf($num)

### Parameters

#### $num

## strlen()

    strlen($s)

### Parameters

#### $s

## utf8_substr()

    utf8_substr($str, $start)

### Parameters

#### $str

#### $start

## utf8_to_codepoints()

    utf8_to_codepoints($txt)

### Parameters

#### $txt

## utf8_to_utf16be()

    utf8_to_utf16be($txt, $bom)

### Parameters

#### $txt

#### $bom

### Properties

## $AliasNbPages

    $AliasNbPages

Inherited

inherited_from | \FPDF::$$AliasNbPages

## $AutoPageBreak

    $AutoPageBreak

Inherited

inherited_from | \FPDF::$$AutoPageBreak

## $ColorFlag

    $ColorFlag

Inherited

inherited_from | \FPDF::$$ColorFlag

## $CoreFonts

    $CoreFonts

Inherited

inherited_from | \FPDF::$$CoreFonts

## $CurOrientation

    $CurOrientation

Inherited

inherited_from | \FPDF::$$CurOrientation

## $CurPageSize

    $CurPageSize

Inherited

inherited_from | \FPDF::$$CurPageSize

## $CurrentFont

    $CurrentFont

Inherited

inherited_from | \FPDF::$$CurrentFont

## $DefOrientation

    $DefOrientation

Inherited

inherited_from | \FPDF::$$DefOrientation

## $DefPageSize

    $DefPageSize

Inherited

inherited_from | \FPDF::$$DefPageSize

## $DrawColor

    $DrawColor

Inherited

inherited_from | \FPDF::$$DrawColor

## $FillColor

    $FillColor

Inherited

inherited_from | \FPDF::$$FillColor

## $FontFamily

    $FontFamily

Inherited

inherited_from | \FPDF::$$FontFamily

## $FontFiles

    $FontFiles

Inherited

inherited_from | \FPDF::$$FontFiles

## $FontSize

    $FontSize

Inherited

inherited_from | \FPDF::$$FontSize

## $FontSizePt

    $FontSizePt

Inherited

inherited_from | \FPDF::$$FontSizePt

## $FontStyle

    $FontStyle

Inherited

inherited_from | \FPDF::$$FontStyle

## $InFooter

    $InFooter

Inherited

inherited_from | \FPDF::$$InFooter

## $InHeader

    $InHeader

Inherited

inherited_from | \FPDF::$$InHeader

## $LayoutMode

    $LayoutMode

Inherited

inherited_from | \FPDF::$$LayoutMode

## $LineWidth

    $LineWidth

Inherited

inherited_from | \FPDF::$$LineWidth

## $PDFVersion

    $PDFVersion

Inherited

inherited_from | \FPDF::$$PDFVersion

## $PageBreakTrigger

    $PageBreakTrigger

Inherited

inherited_from | \FPDF::$$PageBreakTrigger

## $PageLinks

    $PageLinks

Inherited

inherited_from | \FPDF::$$PageLinks

## $PageSizes

    $PageSizes

Inherited

inherited_from | \FPDF::$$PageSizes

## $StdPageSizes

    $StdPageSizes

Inherited

inherited_from | \FPDF::$$StdPageSizes

## $TextColor

    $TextColor

Inherited

inherited_from | \FPDF::$$TextColor

## $ZoomMode

    $ZoomMode

Inherited

inherited_from | \FPDF::$$ZoomMode

## $author

    $author

Inherited

inherited_from | \FPDF::$$author

## $bMargin

    $bMargin

Inherited

inherited_from | \FPDF::$$bMargin

## $buffer

    $buffer

Inherited

inherited_from | \FPDF::$$buffer

## $cMargin

    $cMargin

Inherited

inherited_from | \FPDF::$$cMargin

## $compress

    $compress

Inherited

inherited_from | \FPDF::$$compress

## $creator

    $creator

Inherited

inherited_from | \FPDF::$$creator

## $diffs

    $diffs

Inherited

inherited_from | \FPDF::$$diffs

## $fontpath

    $fontpath

Inherited

inherited_from | \FPDF::$$fontpath

## $fonts

    $fonts

Inherited

inherited_from | \FPDF::$$fonts

## $h

    $h

Inherited

inherited_from | \FPDF::$$h

## $hPt

    $hPt

Inherited

inherited_from | \FPDF::$$hPt

## $images

    $images

Inherited

inherited_from | \FPDF::$$images

## $k

    $k

Inherited

inherited_from | \FPDF::$$k

## $keywords

    $keywords

Inherited

inherited_from | \FPDF::$$keywords

## $lMargin

    $lMargin

Inherited

inherited_from | \FPDF::$$lMargin

## $lasth

    $lasth

Inherited

inherited_from | \FPDF::$$lasth

## $links

    $links

Inherited

inherited_from | \FPDF::$$links

## $n

    $n

Inherited

inherited_from | \FPDF::$$n

## $offsets

    $offsets

Inherited

inherited_from | \FPDF::$$offsets

## $page

    $page

Inherited

inherited_from | \FPDF::$$page

## $pages

    $pages

Inherited

inherited_from | \FPDF::$$pages

## $rMargin

    $rMargin

Inherited

inherited_from | \FPDF::$$rMargin

## $state

    $state

Inherited

inherited_from | \FPDF::$$state

## $subject

    $subject

Inherited

inherited_from | \FPDF::$$subject

## $tMargin

    $tMargin

Inherited

inherited_from | \FPDF::$$tMargin

## $title

    $title

Inherited

inherited_from | \FPDF::$$title

## $underline

    $underline

Inherited

inherited_from | \FPDF::$$underline

## $w

    $w

Inherited

inherited_from | \FPDF::$$w

## $wPt

    $wPt

Inherited

inherited_from | \FPDF::$$wPt

## $ws

    $ws

Inherited

inherited_from | \FPDF::$$ws

## $x

    $x

Inherited

inherited_from | \FPDF::$$x

## $y

    $y

Inherited

inherited_from | \FPDF::$$y